<?php
/*
=====================================================
 Class no image для DLE 
=====================================================
 Файл: noimage.class.php
-----------------------------------------------------
 Назначение: No image
=====================================================
*/

	class no_image
	{	
		var $dir					 = '';		// Директория	
		var $format					 = '';	 	// Формат
		var $url_no_image 			 = '';		// Ссылка на no image
		var $url_no_image_to_group_1 = '';		// Ссылка на no image для первой группы
		var $name 					 = '';  	// Имя пользователья
		var $id 				     = '';		// id пользователья	(если разрешен отправлении запроса)		
		var $login					 = '';		// Логин пользователья (если хотите место имя использовать логин)
		var $login_use 				 = false;	// Разрешить/запретить использовании логина (если это включен то задайте логин)
		var $status 				 = false;	// Включить/отключить модуль (обязательно)
		var $quary 					 = false;	// Разрешить/запретить отправлении запроса 	
		
		function __construct()
		{
				global $db, $row, $config; 
				
				$this->db     = $db;     // Стандартная функция dle для отправлении запроса
				$this->row    = $row;	 // Массив с данными
				$this->config = $config; // Конфигурации DLE
				
				$this->dir = "/templates/" . $this->config['skin'] . "/dleimages/noimage/"; // директория по умолчание
				$this->format = "png"; // формат по умолчание
				
				if ($this->url_no_image_to_group_1 == "")				
					$this->url_no_image_to_group_1 = $this->url_no_image;
				
				if ($this->name == "" ) 				
					$this->name = $this->row['fullname'];	
			
				if ($this->login == "" ) 				
					$this->login = $this->row['name'];				
		}

		private function name_replace ($a)
		{
			// Посчитаем массив 
			$count = count($a);			
			// Если в массиве 2 или больше 2 то сделаем 1 
			if ($count >= 2) 
				$count = 0;		
			// Создаем массив
			$c = array();
			
			//
			for($i = 0; $i <= $count; $i++)
			{	
				// Удаляим пробелы 
				$b   = str_replace ( "", "", $a[$i]);				
				// Удалим плобелы и переди и зади текста
				$b   = trim ( $b );	
				
				// Если текст на английском
				if ($b == convert_cyr_string ( $b, 'w', 'k' ) )
					// то выбераем один элемент
					$c[] = mb_substr ( $b, 0, 1 );
				else
					// если нет то 2 
					$c[] = mb_substr ( $b, 0, 1 );		 
			}
			// Объеденим массив
			$c = implode( "", $c );
			// Удалим плобелы (или другие символы) из начала конца строки
			$c = trim ( $c );		
			// выбераем 2 элемента текста
			//$a = mb_substr ( $b, 0, 1 );
			//$a = $c;
			// Если текст на английском
			if ($c == convert_cyr_string ( $c, 'w', 'k' ) )
				// то добавим 'english/' 
				$c = "en/" . $c;
			else
				// Если нет то ставим первую букву первого элемента массива
				$c = "ru/" . $c;				
			// Приведем строки к нижнему регистру
			$c = mb_strtolower($c, $this->config["charset"]);
			// выводим результат
			return $c;			
		}
		
		private function search_no_image ()
		{	
			// Если включен модуль то продолжем
			if ($this->status == true)
			{	// Перейдем если разрешен отправит запрос
				if( $this->quary == true )
				{	// Отправим запрос на базу и получим их для дальнейшей обработки  
					$row2 = $this->db->super_query("SELECT name, fullname FROM " . PREFIX . "_users WHERE user_id=" . $this->id);
					// 
					$this->name  = $row2['fullname'];
					$this->login = $row2['name'];
					// 
					$this->db->close();
					//$this->db->free();
					
				}
				// Если переменная name пусто и для поиска noimage неразрешен использование login то продолжем
				if ( $this->name == null && $this->login_use == false) 
				{
					// Если noimage существует и он не пусто то ...
					if ( isset( $this->url_no_image ) && $this->url_no_image !=  "")
					
						$result = $this->url_no_image;					
					
					else
					// Если noimage для первой группы задан то продолжем ... 
					if (isset( $this->url_no_image_to_group_1 ) && $this->url_no_image_to_group_1 !=  "" && $this->row[user_group] == 1 )
						
						$result = $this->url_no_image_to_group_1;		
					
					else
					// Если ни один из условии не выполнено
						$result = "/templates/" . $this->config['skin'] . "/dleimages/noavatar.png";
					
				}
				
				else
					
				{	// Если name существует и запрещен использовании логин то ...			
					if ( isset( $this->name ) && $this->login_use == false) 
					{
						$this->name = explode (" ", $this->name);
						$this->name = $this->name_replace( $this->name );	
						$result =  $this->dir . $this->name . "." . $this->format ;
					}
					
					else
					
					if ( isset( $this->login ) && $this->login_use == true) 
					{
						$this->login = explode (" ", $this->login);
						$this->login = $this->name_replace( $this->login );
						$result =  $this->dir . $this->login . "." . $this->format ;			
						
					}			
				}		
			}
			else // no image если ни один из условии не выполнены
				$result = "/templates/" . $this->config['skin'] . "/dleimages/noavatar.png";
			// выводим результат
			return $result;		
			
		}
		
		public function run_noimage ()
		{	// запускаем функции 
			return $this->search_no_image();
		}
		
	}
	//$noimage = new no_image();
?>